# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](http://keepachangelog.com/en/1.0.0/)
and this project adheres to [Semantic Versioning](http://semver.org/spec/v2.0.0.html).

## [0.6.8] - 2021-04-14

### Added

-   Add Email Domain picker for email input in Login page

### Changed

-   Split Login tagline text and button

### Removed

-   Remove name from Welcome title

## [0.6.7] - 2021-03-25

### Changed

-   Updated localisation files from Lokalise

### Fixed

-   `zh-Hans` fallbacks to Simplified Chinese
-   Use `textlabel-email-permission` as subtitle in EmailMarketing
-   Bump-up [@king/muffin-styles] in order to fix overlapping in Privacy&Security

## [0.6.6] - 2021-03-16

### Fixed

-   Bump-up [@king/muffin-styles] in order to fix word breaks for Korean.

## [0.6.5] - 2021-03-15

### Added

-   Bump-up [@king/muffin] & [@king/muffin-styles] to add bounce animation for Button, Link and Header Icons when `onMouseDown`and `onTouchStart` events

## [0.6.4] - 2021-03-11

### Fixed

-   Bump-up [@king/muffin-styles] to use regular Sans-Serif fonts (Helvetica, Arial) for Vietnamese support

## [0.6.3] - 2021-02-23

### Removed
-   Remove lost progress warning at Login page

## [0.6.2] - 2021-02-02

### Added
-   Add simple version file in build bundle

### Fixed
-   Add delay when removing general loading spinner to allow carousel to load

## [0.6.1] - 2021-01-22

### Changed

-   Update to Muffin 1.0.1 to fix ListItems

## [0.6.0] - 2020-11-23

### Changed

-   Change MasterbrandUI to Muffin@1.0.0

### Fixed

-   Update Gradle & Publish plugin

## [0.5.0] - 2020-11-17

### Added

-   Add changelog to output bundle
-   Gradle process to upload bundle to Artifactory

### Changed

-   Change package name to `identity-views`
-   Use MasterbrandUI@1.0.0-alpha.2

## [0.4.0] - 2020-11-13

### Added

-   Custom i18n fallbacks

## [0.3.0] - 2020-11-12

### Added

-   Use `ListItems` from MasterbrandUI
-   Message to trigger Ads preferences
-   Add lint task to safeguard build
-   Email input limited to 128 char

### Changed

-   Enforce weak account when user logs out
-   Shorter debug timmings

### Removed

-   Remove debugger line
-   Txt version file from dist bundle

## [0.2.0] - 2019-11-05

### Added

-   Banner with build information on top of output files
-   Default avatar when loading fails

### Changed

-   Hide email from Welcome if account is not editable

### Fixed

-   Italian translations

## [0.1.0] - 2019-11-04

### Added

-   Created React application
-   Use `MasterbrandUI` components
-   Communication with Host application via `nativeBus`
-   Sign in & Log in flow
-   Logout flow
-   Marketing Email dialog
-   Edit account
-   Privacy and Security settings
-   Reset and Update password

[@king/muffin]: https://github.int.midasplayer.com/social-and-identity/muffin/tree/master/packages/ui-kit
[@king/muffin-styles]: https://github.int.midasplayer.com/social-and-identity/muffin/tree/master/packages/mb-styles

[Unreleased]: https://github.int.midasplayer.com/social-and-identity/king-account-html5-views/compare/iv-v0.6.8-milo...milo
[0.6.8]: https://github.int.midasplayer.com/social-and-identity/king-account-html5-views/compare/iv-v0.6.7-milo...iv-v0.6.8-milo
[0.6.7]: https://github.int.midasplayer.com/social-and-identity/king-account-html5-views/compare/iv-v0.6.6-milo...iv-v0.6.7-milo
[0.6.6]: https://github.int.midasplayer.com/social-and-identity/king-account-html5-views/compare/iv-v0.6.5-milo...iv-v0.6.6-milo
[0.6.5]: https://github.int.midasplayer.com/social-and-identity/king-account-html5-views/compare/iv-v0.6.4-milo...iv-v0.6.5-milo
[0.6.4]: https://github.int.midasplayer.com/social-and-identity/king-account-html5-views/compare/iv-v0.6.3-milo...iv-v0.6.4-milo
[0.6.3]: https://github.int.midasplayer.com/social-and-identity/king-account-html5-views/compare/iv-v0.6.2-milo...iv-v0.6.3-milo
[0.6.2]: https://github.int.midasplayer.com/social-and-identity/king-account-html5-views/compare/iv-v0.6.1...iv-v0.6.2-milo
[0.6.1]: https://github.int.midasplayer.com/social-and-identity/king-account-html5-views/compare/iv-v0.6.0...iv-v0.6.1
[0.6.0]: https://github.int.midasplayer.com/social-and-identity/king-account-html5-views/compare/iv-v0.5.0...iv-v0.6.0
[0.5.0]: https://github.int.midasplayer.com/social-and-identity/king-account-html5-views/compare/iv-v0.4.0...iv-v0.5.0
[0.4.0]: https://github.int.midasplayer.com/social-and-identity/king-account-html5-views/compare/iv-v0.3.0...iv-v0.4.0
[0.3.0]: https://github.int.midasplayer.com/social-and-identity/king-account-html5-views/compare/iv-v0.2.0...iv-v0.3.0
[0.2.0]: https://github.int.midasplayer.com/social-and-identity/king-account-html5-views/compare/iv-v0.1.0...iv-v0.2.0
[0.1.0]: https://github.int.midasplayer.com/social-and-identity/king-account-html5-views/compare/master...iv-v0.1.0
